diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/menu.php ./wordpress-3.3/wp-admin/network/menu.php
*** ./wordpress-3.2.1/wp-admin/network/menu.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/menu.php	2011-09-30 11:47:02.000000000 -0500
***************
*** 8,14 ****
   */
  
  /* translators: Network menu item */
! $menu[0] = array(__('Dashboard'), 'manage_network', 'index.php', '', 'menu-top menu-top-first menu-icon-dashboard', 'menu-dashboard', 'div');
  
  $menu[4] = array( '', 'read', 'separator1', '', 'wp-menu-separator' );
  
--- 8,14 ----
   */
  
  /* translators: Network menu item */
! $menu[2] = array(__('Dashboard'), 'manage_network', 'index.php', '', 'menu-top menu-top-first menu-icon-dashboard', 'menu-dashboard', 'div');
  
  $menu[4] = array( '', 'read', 'separator1', '', 'wp-menu-separator' );
  
***************
*** 21,32 ****
  $submenu['users.php'][5]  = array( __('All Users'), 'manage_network_users', 'users.php' );
  $submenu['users.php'][10]  = array( _x('Add New', 'user'), 'create_users', 'user-new.php' );
  
! if ( current_user_can( 'update_themes' ) ) {
! 	$plugin_update_count = $theme_update_count = $wordpress_update_count = 0;
! 	$update_themes = get_site_transient( 'update_themes' );
! 	if ( !empty($update_themes->response) )
! 		$theme_update_count = count( $update_themes->response );
! 	$menu[15] = array(sprintf( __( 'Themes %s' ), "<span class='update-plugins count-$theme_update_count'><span class='theme-count'>" . number_format_i18n( $theme_update_count ) . "</span></span>" ), 'manage_network_themes', 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'div' );
  } else {
  	$menu[15] = array( __( 'Themes' ), 'manage_network_themes', 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'div' );
  }
--- 21,30 ----
  $submenu['users.php'][5]  = array( __('All Users'), 'manage_network_users', 'users.php' );
  $submenu['users.php'][10]  = array( _x('Add New', 'user'), 'create_users', 'user-new.php' );
  
! $update_data = wp_get_update_data();
! 
! if ( $update_data['counts']['themes'] ) {
! 	$menu[15] = array(sprintf( __( 'Themes %s' ), "<span class='update-plugins count-{$update_data['counts']['themes']}'><span class='theme-count'>" . number_format_i18n( $update_data['counts']['themes'] ) . "</span></span>" ), 'manage_network_themes', 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'div' );
  } else {
  	$menu[15] = array( __( 'Themes' ), 'manage_network_themes', 'themes.php', '', 'menu-top menu-icon-appearance', 'menu-appearance', 'div' );
  }
***************
*** 35,44 ****
  $submenu['themes.php'][15] = array( _x('Editor', 'theme editor'), 'edit_themes', 'theme-editor.php' );
  
  if ( current_user_can( 'update_plugins' ) ) {
! 	$update_plugins = get_site_transient( 'update_plugins' );
! 	if ( !empty($update_plugins->response) )
! 		$plugin_update_count = count( $update_plugins->response );
! 	$menu[20] = array( sprintf( __( 'Plugins %s' ), "<span class='update-plugins count-$plugin_update_count'><span class='plugin-count'>" . number_format_i18n( $plugin_update_count ) . "</span></span>" ), 'manage_network_plugins', 'plugins.php', '', 'menu-top menu-icon-plugins', 'menu-plugins', 'div');
  } else {
  	$menu[20] = array( __('Plugins'), 'manage_network_plugins', 'plugins.php', '', 'menu-top menu-icon-plugins', 'menu-plugins', 'div' );
  }
--- 33,39 ----
  $submenu['themes.php'][15] = array( _x('Editor', 'theme editor'), 'edit_themes', 'theme-editor.php' );
  
  if ( current_user_can( 'update_plugins' ) ) {
! 	$menu[20] = array( sprintf( __( 'Plugins %s' ), "<span class='update-plugins count-{$update_data['counts']['plugins']}'><span class='plugin-count'>" . number_format_i18n( $update_data['counts']['plugins'] ) . "</span></span>" ), 'manage_network_plugins', 'plugins.php', '', 'menu-top menu-icon-plugins', 'menu-plugins', 'div');
  } else {
  	$menu[20] = array( __('Plugins'), 'manage_network_plugins', 'plugins.php', '', 'menu-top menu-icon-plugins', 'menu-plugins', 'div' );
  }
***************
*** 53,86 ****
  	$submenu['settings.php'][10] = array( __('Network Setup'), 'manage_network_options', 'setup.php' );
  }
  
! if ( current_user_can( 'update_core' ) ) {
! 	$update_wordpress = get_core_updates( array('dismissed' => false) );
! 	if ( !empty($update_wordpress) && !in_array( $update_wordpress[0]->response, array('development', 'latest') ) )
! 		$wordpress_update_count = 1;
! 	
! 	$update_count = $plugin_update_count + $theme_update_count + $wordpress_update_count;
! 	$update_title = array();
! 	if ( $wordpress_update_count )
! 		$update_title[] = sprintf(__('%d WordPress Update'), $wordpress_update_count);
! 	if ( $plugin_update_count )
! 		$update_title[] = sprintf(_n('%d Plugin Update', '%d Plugin Updates', $plugin_update_count), $plugin_update_count);
! 	if ( $theme_update_count )
! 		$update_title[] = sprintf(_n('%d Theme Update', '%d Theme Updates', $theme_update_count), $theme_update_count);
! 	
! 	$update_title = !empty($update_title) ? esc_attr(implode(', ', $update_title)) : '';
! 	
! 	$menu[30] = array( sprintf( __( 'Updates %s' ), "<span class='update-plugins count-$update_count' title='$update_title'><span class='update-count'>" . number_format_i18n($update_count) . "</span></span>" ), 'manage_network', 'upgrade.php', '', 'menu-top menu-icon-tools', 'menu-update', 'div' );
  } else {
  	$menu[30] = array( __( 'Updates' ), 'manage_network', 'upgrade.php', '', 'menu-top menu-icon-tools', 'menu-update', 'div' );
  }
  
  $submenu[ 'upgrade.php' ][10] = array( __( 'Available Updates' ), 'update_core',  'update-core.php' );
  $submenu[ 'upgrade.php' ][15] = array( __( 'Update Network' ), 'manage_network', 'upgrade.php' );
- unset($plugin_update_count, $theme_update_count, $wordpress_update_count, $update_count, $update_title, $update_themes, $update_plugins, $update_wordpress);
- 
  
  $menu[99] = array( '', 'read', 'separator-last', '', 'wp-menu-separator-last' );
  
  require_once(ABSPATH . 'wp-admin/includes/menu.php');
  
! ?>
\ No newline at end of file
--- 48,66 ----
  	$submenu['settings.php'][10] = array( __('Network Setup'), 'manage_network_options', 'setup.php' );
  }
  
! if ( $update_data['counts']['total'] ) {
! 	$menu[30] = array( sprintf( __( 'Updates %s' ), "<span class='update-plugins count-{$update_data['counts']['total']}' title='{$update_data['title']}'><span class='update-count'>" . number_format_i18n($update_data['counts']['total']) . "</span></span>" ), 'manage_network', 'upgrade.php', '', 'menu-top menu-icon-tools', 'menu-update', 'div' );
  } else {
  	$menu[30] = array( __( 'Updates' ), 'manage_network', 'upgrade.php', '', 'menu-top menu-icon-tools', 'menu-update', 'div' );
  }
  
+ unset($update_data);
+ 
  $submenu[ 'upgrade.php' ][10] = array( __( 'Available Updates' ), 'update_core',  'update-core.php' );
  $submenu[ 'upgrade.php' ][15] = array( __( 'Update Network' ), 'manage_network', 'upgrade.php' );
  
  $menu[99] = array( '', 'read', 'separator-last', '', 'wp-menu-separator-last' );
  
  require_once(ABSPATH . 'wp-admin/includes/menu.php');
  
! ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/settings.php ./wordpress-3.3/wp-admin/network/settings.php
*** ./wordpress-3.2.1/wp-admin/network/settings.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/settings.php	2011-11-30 20:22:07.000000000 -0600
***************
*** 16,52 ****
  if ( ! current_user_can( 'manage_network_options' ) )
  	wp_die( __( 'You do not have permission to access this page.' ) );
  
! $title = __( 'Settings' );
  $parent_file = 'settings.php';
  
! add_contextual_help($current_screen,
! 	'<p>' . __('This screen sets and changes options for the network as a whole. The first site is the main site in the network and network options are pulled from that original site&#8217;s options.') . '</p>' .
! 	'<p>' . __('Operational settings has fields for the network&#8217;s name and admin email.') . '</p>' .
! 	'<p>' . __('Dashboard Site is an option to give a site to users who do not have a site on the system. Their default role is Subscriber, but that default can be changed. The Admin Notice Feed can provide a notice on all dashboards of the latest post via RSS or Atom, or provide no such notice if left blank.') . '</p>' .
! 	'<p>' . __('Registration settings can disable/enable public signups. If you let others sign up for a site, install spam plugins. Spaces, not commas, should separate names banned as sites for this network.') . '</p>' .
! 	'<p>' . __('New site settings are defaults applied when a new site is created in the network. These include welcome email for when a new site or user account is registered, and what&#8127;s put in the first post, page, comment, comment author, and comment URL.') . '</p>' .
! 	'<p>' . __('Upload settings control the size of the uploaded files and the amount of available upload space for each site. You can change the default value for specific sites when you edit a particular site. Allowed file types are also listed (space separated only).') . '</p>' .
! 	'<p>' . __('Checkboxes for media upload buttons set which are shown in the visual editor. If unchecked, a generic upload button is still visible; other media types can still be uploaded if on the allowed file types list.') . '</p>' .
! 	'<p>' . __('Menu setting enables/disables the plugin menus from appearing for non super admins, so that only super admins, not site admins, have access to activate plugins.') . '</p>' .
! 	'<p>' . __('Super admins can no longer be added on the Options screen. You must now go to the list of existing users on Network Admin > Users and click on Username or the Edit action link below that name. This goes to an Edit User page where you can check a box to grant super admin privileges.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Settings_Screen" target="_blank">Documentation on Network Settings</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
  include( '../admin-header.php' );
  
! if (isset($_GET['updated'])) {
! 	?>
! 	<div id="message" class="updated"><p><?php _e( 'Options saved.' ) ?></p></div>
! 	<?php
  }
  ?>
  
  <div class="wrap">
  	<?php screen_icon('options-general'); ?>
! 	<h2><?php _e( 'Settings' ) ?></h2>
! 	<form method="post" action="edit.php?action=siteoptions">
  		<?php wp_nonce_field( 'siteoptions' ); ?>
  		<h3><?php _e( 'Operational Settings' ); ?></h3>
  		<table class="form-table">
--- 16,122 ----
  if ( ! current_user_can( 'manage_network_options' ) )
  	wp_die( __( 'You do not have permission to access this page.' ) );
  
! $title = __( 'Network Settings' );
  $parent_file = 'settings.php';
  
! get_current_screen()->add_help_tab( array(
! 		'id'      => 'overview',
! 		'title'   => __('Overview'),
! 		'content' =>
! 			'<p>' . __('This screen sets and changes options for the network as a whole. The first site is the main site in the network and network options are pulled from that original site&#8217;s options.') . '</p>' .
! 			'<p>' . __('Operational settings has fields for the network&#8217;s name and admin email.') . '</p>' .
! 			'<p>' . __('Dashboard Site is an option to give a site to users who do not have a site on the system. Their default role is Subscriber, but that default can be changed. The Admin Notice Feed can provide a notice on all dashboards of the latest post via RSS or Atom, or provide no such notice if left blank.') . '</p>' .
! 			'<p>' . __('Registration settings can disable/enable public signups. If you let others sign up for a site, install spam plugins. Spaces, not commas, should separate names banned as sites for this network.') . '</p>' .
! 			'<p>' . __('New site settings are defaults applied when a new site is created in the network. These include welcome email for when a new site or user account is registered, and what&#8127;s put in the first post, page, comment, comment author, and comment URL.') . '</p>' .
! 			'<p>' . __('Upload settings control the size of the uploaded files and the amount of available upload space for each site. You can change the default value for specific sites when you edit a particular site. Allowed file types are also listed (space separated only).') . '</p>' .
! 			'<p>' . __('Checkboxes for media upload buttons set which are shown in the visual editor. If unchecked, a generic upload button is still visible; other media types can still be uploaded if on the allowed file types list.') . '</p>' .
! 			'<p>' . __('Menu setting enables/disables the plugin menus from appearing for non super admins, so that only super admins, not site admins, have access to activate plugins.') . '</p>' .
! 			'<p>' . __('Super admins can no longer be added on the Options screen. You must now go to the list of existing users on Network Admin > Users and click on Username or the Edit action link below that name. This goes to an Edit User page where you can check a box to grant super admin privileges.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Settings_Screen" target="_blank">Documentation on Network Settings</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
+ if ( $_POST ) {
+ 	do_action( 'wpmuadminedit' , '' );
+ 
+ 	check_admin_referer( 'siteoptions' );
+ 
+ 	if ( isset( $_POST['WPLANG'] ) && ( '' === $_POST['WPLANG'] || in_array( $_POST['WPLANG'], get_available_languages() ) ) )
+ 		update_site_option( 'WPLANG', $_POST['WPLANG'] );
+ 
+ 	if ( is_email( $_POST['admin_email'] ) )
+ 		update_site_option( 'admin_email', $_POST['admin_email'] );
+ 
+ 	$illegal_names = split( ' ', $_POST['illegal_names'] );
+ 	foreach ( (array) $illegal_names as $name ) {
+ 		$name = trim( $name );
+ 		if ( $name != '' )
+ 			$names[] = trim( $name );
+ 		}
+ 	update_site_option( 'illegal_names', $names );
+ 
+ 	if ( $_POST['limited_email_domains'] != '' ) {
+ 		$limited_email_domains = str_replace( ' ', "\n", $_POST['limited_email_domains'] );
+ 		$limited_email_domains = split( "\n", stripslashes( $limited_email_domains ) );
+ 		$limited_email = array();
+ 		foreach ( (array) $limited_email_domains as $domain ) {
+ 			$domain = trim( $domain );
+ 			if ( ! preg_match( '/(--|\.\.)/', $domain ) && preg_match( '|^([a-zA-Z0-9-\.])+$|', $domain ) )
+ 				$limited_email[] = trim( $domain );
+ 		}
+ 		update_site_option( 'limited_email_domains', $limited_email );
+ 	} else {
+ 			update_site_option( 'limited_email_domains', '' );
+ 	}
+ 
+ 	if ( $_POST['banned_email_domains'] != '' ) {
+ 		$banned_email_domains = split( "\n", stripslashes( $_POST['banned_email_domains'] ) );
+ 		$banned = array();
+ 		foreach ( (array) $banned_email_domains as $domain ) {
+ 			$domain = trim( $domain );
+ 			if ( ! preg_match( '/(--|\.\.)/', $domain ) && preg_match( '|^([a-zA-Z0-9-\.])+$|', $domain ) )
+ 				$banned[] = trim( $domain );
+ 		}
+ 		update_site_option( 'banned_email_domains', $banned );
+ 	} else {
+ 		update_site_option( 'banned_email_domains', '' );
+ 	}
+ 
+ 	$options = array( 'registrationnotification', 'registration', 'add_new_users', 'menu_items', 'upload_space_check_disabled', 'blog_upload_space', 'upload_filetypes', 'site_name', 'first_post', 'first_page', 'first_comment', 'first_comment_url', 'first_comment_author', 'welcome_email', 'welcome_user_email', 'fileupload_maxk', 'global_terms_enabled' );
+ 	$checked_options = array( 'menu_items' => array(), 'registrationnotification' => 'no', 'upload_space_check_disabled' => 1, 'add_new_users' => 0 );
+ 	foreach ( $checked_options as $option_name => $option_unchecked_value ) {
+ 		if ( ! isset( $_POST[$option_name] ) )
+ 			$_POST[$option_name] = $option_unchecked_value;
+ 	}
+ 	foreach ( $options as $option_name ) {
+ 		if ( ! isset($_POST[$option_name]) )
+ 			continue;
+ 		$value = stripslashes_deep( $_POST[$option_name] );
+ 		update_site_option( $option_name, $value );
+ 	}
+ 
+ 	// Update more options here
+ 	do_action( 'update_wpmu_options' );
+ 
+ 	wp_redirect( add_query_arg( 'updated', 'true', network_admin_url( 'settings.php' ) ) );
+ 	exit();
+ }
+ 
  include( '../admin-header.php' );
  
! if ( isset( $_GET['updated'] ) ) {
! 	?><div id="message" class="updated"><p><?php _e( 'Options saved.' ) ?></p></div><?php
  }
  ?>
  
  <div class="wrap">
  	<?php screen_icon('options-general'); ?>
! 	<h2><?php echo esc_html( $title ); ?></h2>
! 	<form method="post" action="settings.php">
  		<?php wp_nonce_field( 'siteoptions' ); ?>
  		<h3><?php _e( 'Operational Settings' ); ?></h3>
  		<table class="form-table">
***************
*** 206,220 ****
  		<h3><?php _e( 'Upload Settings' ); ?></h3>
  		<table class="form-table">
  			<tr valign="top">
- 				<th scope="row"><?php _e( 'Media upload buttons' ) ?></th>
- 				<?php $mu_media_buttons = get_site_option( 'mu_media_buttons', array() ); ?>
- 				<td><label><input type="checkbox" id="mu_media_buttons_image" name="mu_media_buttons[image]" value="1"<?php checked( ! empty( $mu_media_buttons['image'] ) ) ?>/> <?php _e( 'Images' ); ?></label><br />
- 				<label><input type="checkbox" id="mu_media_buttons_video" name="mu_media_buttons[video]" value="1"<?php checked( ! empty( $mu_media_buttons['video'] ) ) ?>/> <?php _e( 'Videos' ); ?></label><br />
- 				<label><input type="checkbox" id="mu_media_buttons_audio" name="mu_media_buttons[audio]" value="1"<?php checked( ! empty( $mu_media_buttons['audio'] ) ) ?>/> <?php _e( 'Music' ); ?></label><br />
- 				<?php _e( 'The media upload buttons to display on the &#8220;Write Post&#8221; page. Make sure you update the allowed upload file types below as well.' ); ?></td>
- 			</tr>
- 
- 			<tr valign="top">
  				<th scope="row"><?php _e( 'Site upload space' ) ?></th>
  				<td>
  				<label><input type="checkbox" id="upload_space_check_disabled" name="upload_space_check_disabled" value="0"<?php checked( get_site_option( 'upload_space_check_disabled' ), 0 ) ?>/> <?php printf( __( 'Limit total size of files uploaded to %s MB' ), '</label><label><input name="blog_upload_space" type="text" id="blog_upload_space" value="' . esc_attr( get_site_option('blog_upload_space', 10) ) . '" size="3" />' ); ?></label><br />
--- 276,281 ----
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/site-info.php ./wordpress-3.3/wp-admin/network/site-info.php
*** ./wordpress-3.2.1/wp-admin/network/site-info.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/site-info.php	2011-11-30 20:22:07.000000000 -0600
***************
*** 16,27 ****
  if ( ! current_user_can( 'manage_sites' ) )
  	wp_die( __( 'You do not have sufficient permissions to edit this site.' ) );
  
! add_contextual_help($current_screen,
! 	'<p>' . __('The menu is for editing information specific to individual sites, particularly if the admin area of a site is unavailable.') . '</p>' .
! 	'<p>' . __('<strong>Info</strong> - The domain and path are rarely edited as this can cause the site to not work properly. The Registered date and Last Updated date are displayed. Network admins can mark a site as archived, spam, deleted and mature, to remove from public listings or disable.') . '</p>' .
! 	'<p>' . __('<strong>Users</strong> - This displays the users associated with this site. You can also change their role, reset their password, or remove them from the site. Removing the user from the site does not remove the user from the network.') . '</p>' .
! 	'<p>' . sprintf( __('<strong>Themes</strong> - This area shows themes that are not already enabled across the network. Enabling a theme in this menu makes it accessible to this site. It does not activate the theme, but allows it to show in the site&#8217;s Appearance menu. To enable a theme for the entire network, see the <a href="%s">Network Themes</a> screen.' ), network_admin_url( 'themes.php' ) ) . '</p>' .
! 	'<p>' . __('<strong>Settings</strong> - This page shows a list of all settings associated with this site. Some are created by WordPress and others are created by plugins you activate. Note that some fields are grayed out and say Serialized Data. You cannot modify these values due to the way the setting is stored in the database.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
--- 16,33 ----
  if ( ! current_user_can( 'manage_sites' ) )
  	wp_die( __( 'You do not have sufficient permissions to edit this site.' ) );
  
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'overview',
! 		'title'   => __('Overview'),
! 		'content' =>
! 			'<p>' . __('The menu is for editing information specific to individual sites, particularly if the admin area of a site is unavailable.') . '</p>' .
! 			'<p>' . __('<strong>Info</strong> - The domain and path are rarely edited as this can cause the site to not work properly. The Registered date and Last Updated date are displayed. Network admins can mark a site as archived, spam, deleted and mature, to remove from public listings or disable.') . '</p>' .
! 			'<p>' . __('<strong>Users</strong> - This displays the users associated with this site. You can also change their role, reset their password, or remove them from the site. Removing the user from the site does not remove the user from the network.') . '</p>' .
! 			'<p>' . sprintf( __('<strong>Themes</strong> - This area shows themes that are not already enabled across the network. Enabling a theme in this menu makes it accessible to this site. It does not activate the theme, but allows it to show in the site&#8217;s Appearance menu. To enable a theme for the entire network, see the <a href="%s">Network Themes</a> screen.' ), network_admin_url( 'themes.php' ) ) . '</p>' .
! 			'<p>' . __('<strong>Settings</strong> - This page shows a list of all settings associated with this site. Some are created by WordPress and others are created by plugins you activate. Note that some fields are grayed out and say Serialized Data. You cannot modify these values due to the way the setting is stored in the database.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/site-new.php ./wordpress-3.3/wp-admin/network/site-new.php
*** ./wordpress-3.2.1/wp-admin/network/site-new.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/site-new.php	2011-11-30 20:22:07.000000000 -0600
***************
*** 16,24 ****
  if ( ! current_user_can( 'manage_sites' ) )
  	wp_die( __( 'You do not have sufficient permissions to add sites to this network.' ) );
  
! add_contextual_help($current_screen,
! 	'<p>' . __('This screen is for Super Admins to add new sites to the network. This is not affected by the registration settings.') . '</p>' .
! 	'<p>' . __('If the admin email for the new site does not exist in the database, a new user will also be created.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
--- 16,30 ----
  if ( ! current_user_can( 'manage_sites' ) )
  	wp_die( __( 'You do not have sufficient permissions to add sites to this network.' ) );
  
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'overview',
! 		'title'   => __('Overview'),
! 		'content' =>
! 			'<p>' . __('This screen is for Super Admins to add new sites to the network. This is not affected by the registration settings.') . '</p>' .
! 			'<p>' . __('If the admin email for the new site does not exist in the database, a new user will also be created.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 34,40 ****
  		wp_die( __( 'Can&#8217;t create an empty site.' ) );
  	$blog = $_POST['blog'];
  	$domain = '';
! 	if ( ! preg_match( '/(--)/', $blog['domain'] ) && preg_match( '|^([a-zA-Z0-9-])+$|', $blog['domain'] ) )
  		$domain = strtolower( $blog['domain'] );
  
  	// If not a subdomain install, make sure the domain isn't a reserved word
--- 40,46 ----
  		wp_die( __( 'Can&#8217;t create an empty site.' ) );
  	$blog = $_POST['blog'];
  	$domain = '';
! 	if ( preg_match( '|^([a-zA-Z0-9-])+$|', $blog['domain'] ) )
  		$domain = strtolower( $blog['domain'] );
  
  	// If not a subdomain install, make sure the domain isn't a reserved word
***************
*** 79,88 ****
  	if ( !is_wp_error( $id ) ) {
  		if ( !is_super_admin( $user_id ) && !get_user_option( 'primary_blog', $user_id ) )
  			update_user_option( $user_id, 'primary_blog', $id, true );
! 		$content_mail = sprintf( __( "New site created by %1s\n\nAddress: http://%2s\nName: %3s"), $current_user->user_login , $newdomain . $path, stripslashes( $title ) );
  		wp_mail( get_site_option('admin_email'), sprintf( __( '[%s] New Site Created' ), $current_site->site_name ), $content_mail, 'From: "Site Admin" <' . get_site_option( 'admin_email' ) . '>' );
  		wpmu_welcome_notification( $id, $user_id, $password, $title, array( 'public' => 1 ) );
! 		wp_redirect( add_query_arg( array('update' => 'added'), 'site-new.php' ) );
  		exit;
  	} else {
  		wp_die( $id->get_error_message() );
--- 85,94 ----
  	if ( !is_wp_error( $id ) ) {
  		if ( !is_super_admin( $user_id ) && !get_user_option( 'primary_blog', $user_id ) )
  			update_user_option( $user_id, 'primary_blog', $id, true );
! 		$content_mail = sprintf( __( "New site created by %1s\n\nAddress: %2s\nName: %3s"), $current_user->user_login , get_site_url( $id ), stripslashes( $title ) );
  		wp_mail( get_site_option('admin_email'), sprintf( __( '[%s] New Site Created' ), $current_site->site_name ), $content_mail, 'From: "Site Admin" <' . get_site_option( 'admin_email' ) . '>' );
  		wpmu_welcome_notification( $id, $user_id, $password, $title, array( 'public' => 1 ) );
! 		wp_redirect( add_query_arg( array( 'update' => 'added', 'id' => $id ), 'site-new.php' ) );
  		exit;
  	} else {
  		wp_die( $id->get_error_message() );
***************
*** 92,98 ****
  if ( isset($_GET['update']) ) {
  	$messages = array();
  	if ( 'added' == $_GET['update'] )
! 		$messages[] = __('Site added.');
  }
  
  $title = __('Add New Site');
--- 98,104 ----
  if ( isset($_GET['update']) ) {
  	$messages = array();
  	if ( 'added' == $_GET['update'] )
! 		$messages[] = sprintf( __( 'Site added. <a href="%1$s">Visit Dashboard</a> or <a href="%2$s">Edit Site</a>' ), esc_url( get_admin_url( absint( $_GET['id'] ) ) ), network_admin_url( 'site-info.php?id=' . absint( $_GET['id'] ) ) );
  }
  
  $title = __('Add New Site');
***************
*** 117,125 ****
  			<th scope="row"><?php _e( 'Site Address' ) ?></th>
  			<td>
  			<?php if ( is_subdomain_install() ) { ?>
! 				<input name="blog[domain]" type="text" class="regular-text" title="<?php _e( 'Domain' ) ?>"/>.<?php echo preg_replace( '|^www\.|', '', $current_site->domain );?>
  			<?php } else {
! 				echo $current_site->domain . $current_site->path ?><input name="blog[domain]" class="regular-text" type="text" title="<?php _e( 'Domain' ) ?>"/>
  			<?php }
  			echo '<p>' . __( 'Only the characters a-z and 0-9 recommended.' ) . '</p>';
  			?>
--- 123,131 ----
  			<th scope="row"><?php _e( 'Site Address' ) ?></th>
  			<td>
  			<?php if ( is_subdomain_install() ) { ?>
! 				<input name="blog[domain]" type="text" class="regular-text" title="<?php esc_attr_e( 'Domain' ) ?>"/>.<?php echo preg_replace( '|^www\.|', '', $current_site->domain );?>
  			<?php } else {
! 				echo $current_site->domain . $current_site->path ?><input name="blog[domain]" class="regular-text" type="text" title="<?php esc_attr_e( 'Domain' ) ?>"/>
  			<?php }
  			echo '<p>' . __( 'Only the characters a-z and 0-9 recommended.' ) . '</p>';
  			?>
***************
*** 127,137 ****
  		</tr>
  		<tr class="form-field form-required">
  			<th scope="row"><?php _e( 'Site Title' ) ?></th>
! 			<td><input name="blog[title]" type="text" class="regular-text" title="<?php _e( 'Title' ) ?>"/></td>
  		</tr>
  		<tr class="form-field form-required">
  			<th scope="row"><?php _e( 'Admin Email' ) ?></th>
! 			<td><input name="blog[email]" type="text" class="regular-text" title="<?php _e( 'Email' ) ?>"/></td>
  		</tr>
  		<tr class="form-field">
  			<td colspan="2"><?php _e( 'A new user will be created if the above email address is not in the database.' ) ?><br /><?php _e( 'The username and password will be mailed to this email address.' ) ?></td>
--- 133,143 ----
  		</tr>
  		<tr class="form-field form-required">
  			<th scope="row"><?php _e( 'Site Title' ) ?></th>
! 			<td><input name="blog[title]" type="text" class="regular-text" title="<?php esc_attr_e( 'Title' ) ?>"/></td>
  		</tr>
  		<tr class="form-field form-required">
  			<th scope="row"><?php _e( 'Admin Email' ) ?></th>
! 			<td><input name="blog[email]" type="text" class="regular-text" title="<?php esc_attr_e( 'Email' ) ?>"/></td>
  		</tr>
  		<tr class="form-field">
  			<td colspan="2"><?php _e( 'A new user will be created if the above email address is not in the database.' ) ?><br /><?php _e( 'The username and password will be mailed to this email address.' ) ?></td>
